# -*- coding: utf-8 -*-
import factory

from events.countme.models import (
    AnswerCount,
    AnswerCountByDate,
    QuestionCount,
    QuestionGroupDepth,
)
from events.surveyme.factories import (
    SurveyFactory,
)


class AnswerCountFactory(factory.django.DjangoModelFactory):
    class Meta:
        model = AnswerCount

    survey = factory.SubFactory(SurveyFactory)


class AnswerCountByDateFactory(factory.django.DjangoModelFactory):
    class Meta:
        model = AnswerCountByDate

    survey = factory.SubFactory(SurveyFactory)


class QuestionCountFactory(factory.django.DjangoModelFactory):
    class Meta:
        model = QuestionCount


class QuestionGroupDepthFactory(factory.django.DjangoModelFactory):
    class Meta:
        model = QuestionGroupDepth
